## grails.util
Class BuildSettingsHolder

    java.lang.Object
      grails.util.BuildSettingsHolder

    public final class BuildSettingsHolder

extends Object

Static singleton holder for the BuildSettings instance. Should only be initialised once (in `GrailsScriptRunner`.

Method Summary
`static grails.util.BuildSettings` `getSettings()`
`static void` `setSettings(grails.util.BuildSettings newSettings)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getSettings

    public static grails.util.BuildSettings getSettings()

### setSettings

    public static void setSettings(grails.util.BuildSettings newSettings)

Copyright (c) 2005-2009 The Grails project